#include <avr/io.h>
#include <avr/interrupt.h>
#include "sbit.h"
#include "label.h"
#include "adc.h"

void adc_init (void)
{
	//ADC initialisieren
	ADMUX = LDR;
	//Free Running Mode, Division Factor 128, Interrupt on
	ADCSRA=(1<<ADEN)|(1<<ADSC)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)|(1<<ADIE);
	sei();
}

ISR (ADC_vect)
{
    ADCSRA = 0;
    ADCSRA=(1<<ADEN)|(1<<ADSC)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)|(1<<ADIE);
}