#include <avr/io.h>
#include "clock.h"
#include "leds.h"

volatile uint8_t hou;
volatile uint8_t min;
volatile uint8_t sec;

void tick(void) {
	sec++;
	if(sec==60) {
		sec=0;
		min++;
	}	
	if(min==60) {
		min=0;
		hou++;
	}		
	if(hou==24) {
		hou=0;
	}		
	bin_hour(hou);
	bin_minute(min);
	bin_second(sec);
}